# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/9/13
import os
import sys

sys.path.append(os.getcwd())
from common.common import Common
from haitunzhufu.haitunzhufu_recommend.haitunzhufu_recommend2 import HTZFRecommend


class HTZFMain:
    @classmethod
    def main(cls, log_type, crawler, env):
        videos_cnt = 100
        Common.logger(log_type, crawler).info('开始抓取"海豚祝福"')
        HTZFRecommend.start_wechat(log_type, crawler, videos_cnt, env)
        Common.logger(log_type, crawler).info("抓取一轮结束")
        Common.del_logs(log_type, crawler)


if __name__ == "__main__":
    HTZFMain.main("recommend", "haitunzhufu", "dev")